<?php
/*
////////////////////////////////////////////////////
//                  NewsPHP v215                  //
//               http://www.nphp.net/             //
//                                                //
// Installation --------------------------------- //
//   Please see the "readme.txt" file for details //
//   on how to install NewsPHP.                   //
//                                                //
// Introduction --------------------------------- //
//   NewsPHP is a news posting system for web     //
//   sites. It allows for multiple users of       //
//   different access levels to post news onto    //
//   your web site without them knowing any FTP   //
//   information or even having any knowledge in  //
//   HTML. They simply login and type their post! //
//                                                //
// Copyright ------------------------------------ //
//   NewsPHP is copyright (C) 1999-2001           //
//   the newsPHP Development Team and Ben         //
//   O'Neill. All rights reserved. You may not    //
//   redestribute this file without written       //
//   permission from the copyright holders. You   //
//   may not use this script on any web site with //
//   commercial or pornographic content. If you   //
//   wish to use this script on a commercial web  //
//   site you must obtain a registration number   //
//   (these are totally free) from the nPHP site. //
//   If you display banners this does not         //
//   necessarily mean you must obtain a           //
//   registration number.                         //
//                                                //
// Contact Information -------------------------- //
//   For support please only use the forums on    //
//   the web site and the official support email  //
//   address. Support emails to any of the nPHP   //
//   development team will be ignored.            //
//                                                //
//       nPHP Official Support                    //
//        support@nphp.net                        //
//                                                //
//                                   www.nphp.net //
////////////////////////////////////////////////////
*/

/*
// General Settings -----------------------------
//   NewsPHP will attempt to establish where it
//   is etc. You do not normally need to change
//   anything here.
*/

$nphp_common["nphpdext"]   = "php";                    // The extension to "nphpd", default is .PHP, but if you rename it then you will need to change it.
$nphp_common["debugmode"]  = 1;                        // Usually left on, it is not a security risk.
$nphp_common["seslife"]    = 5400;                     // If a session is untouched for this amount of time or greater, delete it (seconds).
$nphp_common["sesname"]    = "nses";                   // ADVANCED: Name of the nPHP session.
$nphp_common["confsep"]    = "<~>";                    // ADVANCED: Configuration separator. Best left alone...
$nphp_common["sesdir"]	   = "sesdata/";               // ADVANCED: Directory to store nPHP Sessions in.
$nphp_common["seslogsize"] = 10240;                    // ADVANCED: Maximum size of the session log file in bytes
$nphp_common["superdebug"] = 0;

/*
// ----------------------------------------------
*/

/*
// Versions -------------------------------------
//   NewsPHP needs to know what version it is,
//   and what version config. and language files
//   it needs. DO NOT CHANGE THESE VALUES.
*/

$nphp_versions["nphp"]  = 215;                // The version number of the main nPHP file
$nphp_versions["nphp2"] = "";

/*
// ----------------------------------------------
*/

/*
// Security Options -----------------------------
//   You may wish to change the filename of your
//   configuration files, you may specify the
//   filenames below. ADVANCED USERS ONLY.
*/

$nphp_files["config"]   = "nconf.php";         // The nPHP configuration file.
$nphp_files["funcs"]    = "nfunc.php";         // Contains most of nPHPs functions.
$nphp_files["dlang"]    = "nlang.php";         // The default language file.
$nphp_files["html"]     = "nhtml.php";         // This file contains most of the HTML for nPHP.

$nphp_files["newdat"]   = "nphpd.dat";         // The news data file.
$nphp_files["output"]   = "news.txt";          // The output text file in which the news is saved.
$nphp_files["headline"] = "headlines.txt";     // The output text file in which the headlines are saved.
$nphp_files["archive"]  = "archive.txt";       // The file all archived news is saved to.
$nphp_files["maillist"] = "maillist.txt";      // The mailing list file.

/*
// ----------------------------------------------
*/

/*
// Begin Script ---------------------------------
//   The main bulk of the script is from here 
//   down. Although most is commented, the
//   comments may become out of date, I will try
//   to keep them up-to-date.
*/

// We all love our constants, so lets
// define them!

  define("NPHP_POSTNEWS", 1);
  define("NPHP_OUTPUTNEWS", 2);

// We need to load in the common files
// that have some code we need.

  require($nphp_files["funcs"]);
  require($nphp_files["dlang"]);
  require($nphp_files["html"]);
  
// Check the version numbers, if they
// are not compatible nPHP will not
// be able to work.

  if($nphp_versions["nphp"] != $nphp_versions["nfunc"])
  {
    die($nphp_notices["error_incompat"]);
  }
  
  if($nphp_versions["nphp"] != $nphp_versions["nlang"])
  {
    die($nphp_notices["error_incompat"]);
  }

// Before we get started, just incase, we
// set the current users details all blank.

  $nphp_currentuser[0] = "";
  $nphp_currentuser[1] = "";
  $nphp_currentuser[2] = "";
  $nphp_currentuser[3] = -1;
  $nphp_currentuser[4] = "default";
    
// Startup the newsPHP sessions.

  $nphp_common["session_id"] = nphp_session_id();
  $nphp_common["qline"] = "&" . $nphp_common["sesname"] . "=" . $nphp_common["session_id"];

// If we are given a query, find out what it is,
// otherwise leave it blank.

  if(isset($QUERY_STRING))
  {
    $temporary_array = explode("&",$QUERY_STRING);
    $nphp_common["qstring"] = $temporary_array[0];
    unset($temporary_array[0]);
  }
  else
  {
    $nphp_common["qstring"] = "";
  }

// Load in all the needed settings
// and users.

  LoadSettings($nphp_config, $nphp_users);
    
// Debugging features here we come!

  if($nphp_common["qstring"] == "debug")
  {
    echo("<HTML>\n");
    echo("<BODY>\n");
      
    echo("<TABLE WIDTH=\"700\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"3\">\n");
    
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>Script Information:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Script Name:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("newsPHP\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Author:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("The newsPHP Development Team\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Copyright:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("Copyright &copy; 1999-2001 Ben O'Neill\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Web Site:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<A HREF=\"http://www.nphp.net/\" TARGET=\"_blank\">http://www.nphp.net/</A>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

	$temp = file($nphp_files["newdat"]);
	$numposts = count($temp)-1;

    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Number of Posts:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($numposts . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");

	unset($temp);
	unset($numposts);
    
    echo("<TR>");
    echo("<TD COLSPAN=\"3\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>Version Information:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>PHP Version:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo(phpversion() . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>newsPHP Version:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_versions["nphp"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Functions Version:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_versions["nfunc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>HTML Version:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_versions["nhtml"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Default Language Version:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_versions["nlang"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>");
    echo("<TD COLSPAN=\"3\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>Cookie Variables:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    for(reset($HTTP_COOKIE_VARS); $key = key($HTTP_COOKIE_VARS); next($HTTP_COOKIE_VARS))
    {
     echo("<TR>\n");
     echo("<TD WIDTH=\"20\">\n");
     echo("&nbsp;\n");
     echo("</TD>\n");
     echo("<TD WIDTH=\"200\">\n");
     echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
     echo("<B>" . $key . ":</B>\n");
     echo("</FONT>\n");
     echo("</TD>\n");
     echo("<TD WIDTH=\"480\">\n");
     echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
     echo(htmlentities($HTTP_COOKIE_VARS[$key]) . "\n");
     echo("</FONT>\n");
     echo("</TD>\n");
     echo("</TR>\n");
    }
    
    echo("<TR>");
    echo("<TD COLSPAN=\"3\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>Configuration Settings:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    for(reset($nphp_config); $key = key($nphp_config); next($nphp_config))
    {
     echo("<TR>\n");
     echo("<TD WIDTH=\"20\">\n");
     echo("&nbsp;\n");
     echo("</TD>\n");
     echo("<TD WIDTH=\"200\">\n");
     echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
     echo("<B>" . $key . ":</B>\n");
     echo("</FONT>\n");
     echo("</TD>\n");
     echo("<TD WIDTH=\"480\">\n");
     echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
     echo(eregi_replace("\[NL\]","<BR>",htmlentities($nphp_config[$key])) . "\n");
     echo("</FONT>\n");
     echo("</TD>\n");
     echo("</TR>\n");
    }
    
    echo("<TR>");
    echo("<TD COLSPAN=\"3\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>Environment Variables:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Server Software:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($SERVER_SOFTWARE . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
       
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>User Web Browser:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($HTTP_USER_AGENT . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>newsPHP Location:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo(stripslashes($PATH_TRANSLATED) . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>newsPHP Time:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo(MakeADate("<DOWText> <DayOfMonth><OrdinalPrefix> <Month>, <Year4Digits> at <Hour24a>:<Minutes>:<Seconds>",time()) . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>PHP Time:</B></FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo(gmdate("l jS F, Y") . " at " . gmdate("H:i:s") . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
            
    echo("</TABLE>\n");
    
    echo("</BODY>\n");
    echo("</HTML>\n");
    exit();
  }
  elseif($nphp_common["qstring"] == "resort")
  {
    ReorderNewsDat();
    echo("<HTML>\n");
    echo("<BODY>\n");
      
    echo("<TABLE WIDTH=\"700\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"3\">\n");
    
    echo("<TR>\n");
    echo("<TD COLSPAN=\"2\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>Resorting News Data:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"680\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("Your news data file has been reordered back into chronilogical order.\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    echo("</TABLE>\n");
    
    echo("</BODY>\n");
    echo("</HTML>\n");
    exit();
  }
  
// First time user check

  if(count($nphp_users) == 0 && $nphp_common["qstring"] <> "ftsave")
  {
    FirstTimeInstall();
  }
  elseif(count($nphp_users) == 0 && $nphp_common["qstring"] == "ftsave")
  {
    FirstTimeInstallSave();
  }
    
// We know what we are supposed to be doing
// now. Load in a custom language if they
// have it set.

  if(isset($nphp_config["LangFile"]))
  {
   if(strtolower($nphp_config["LangFile"]) != "default" && $nphp_config["LangFile"] != "" && file_exists($nphp_config["LangFile"]))
   {   
     include($nphp_config["LangFile"]);
   }
  }
  
// Lets see if the user is currently
// logged in.

  $session_uname = nphp_session_getvariable("uname");
  $session_pword = nphp_session_getvariable("pword");

  // $uname and $pword
  // are sent by the login form.

  if(isset($session_uname) && isset($session_pword))
  {
	  // The username and password are both
	  // set in the session file.

	  for($i = 0; $i < count($nphp_users); $i++)
	  {
		  if((strtolower($nphp_users[$i][0]) == strtolower($session_uname)) && ($nphp_users[$i][1] == $session_pword))
		  {
			  // User is okay.
			  nphp_session_setvariable("uname",$session_uname);
			  nphp_session_setvariable("pword",$session_pword);

			  $nphp_currentuser[0] = $nphp_users[$i][0];
			  $nphp_currentuser[1] = $session_pword;

		      for($z=2; $z < count($nphp_users[$i]); $z++)
		      {
				  $nphp_currentuser[$z] = $nphp_users[$i][$z];
		      }
		  }
	  }
  }
  else
  {

  // now check if they used the login form.

  if((isset($uname) && isset($pword)) && ($nphp_currentuser[0] == ""))
  {
	  // The username and password are both
	  // set in the session file.

	  for($i = 0; $i < count($nphp_users); $i++)
	  {
		  if((strtolower($nphp_users[$i][0]) == strtolower($uname)) && ($nphp_users[$i][1] == md5($pword)))
		  {
			  // User is okay.

			  nphp_session_setvariable("uname",$uname);
			  nphp_session_setvariable("pword",md5($pword));
			  setcookie("uname",$uname,time()+604800); // Cookie lasts for 1 week from last use.
			  setcookie("pword",$pword,time()+604800); // Cookie lasts for 1 week from last use.

			  $nphp_currentuser[0] = $nphp_users[$i][0];
			  $nphp_currentuser[1] = $pword;

		      for($z=2; $z < count($nphp_users[$i]); $z++)
		      {
				  $nphp_currentuser[$z] = $nphp_users[$i][$z];
		      }
		  }
	  }
  }

  }

  if($nphp_currentuser[0] == "")
  {
    ShowLoginPage();
  }
      
// Check if they are using a different
// language for this user.

  if(strtolower($nphp_currentuser[4]) != "default")
  {
  // Check the language file exists.
    if(file_exists($nphp_currentuser[4]))
    {
    // It exists, load it in!
      include($nphp_currentuser[4]);
    }
  }
  
// Load any availiable extensions
// or retrieve language file data.

  $nphp_currentdir = opendir(".");
  
  while($filename = readdir($nphp_currentdir))
  {
    $extdata = explode(".",$filename);
        
    if(isset($extdata[1]))
    {
      if($extdata[1] == "npe")
      {
        include($filename);
      }
      elseif($extdata[1] == "npl")
      {
        $nphp_languages[][0] = $filename;
        
        $cnt = count($nphp_languages);
        $cnt--;
        
        $lang_temp = file($filename);
        
        $nphp_languages[$cnt][1] = $lang_temp[2];
      }
    }
  }
  
  closedir($nphp_currentdir);
    
// They must be logged in to reach this
// point in the code. Now we must evaluate
// the query they gave us.

// But first lets make sure their session
// isn't going to expire!

  nphp_session_setvariable("lastused",time());
  nphp_session_gc();

  if($nphp_common["qstring"] == "login")
  {
    ShowMainPage();
  }
  elseif($nphp_common["qstring"] == "profile")
  {
    ShowProfilePage();
  }
  elseif($nphp_common["qstring"] == "post")
  {
    ShowPostPage();
  }
  elseif($nphp_common["qstring"] == "modify")
  {
    ShowModifyPage();
  }
  elseif($nphp_common["qstring"] == "output")
  {
    ShowOutputPage();
  }
  elseif($nphp_common["qstring"] == "logout")
  {
    ShowLogoutPage();
  }
  elseif($nphp_common["qstring"] == "users" && $nphp_currentuser[3] > 3)
  {
    ShowUsersPage();
  }
  elseif($nphp_common["qstring"] == "usersave" && $nphp_currentuser[3] > 3)
  {
    ShowUserCreateSavePage();
  }
  elseif($nphp_common["qstring"] == "settings" && $nphp_currentuser[3] == 5)
  {
    ShowSettingsPage();
  }
  elseif($nphp_common["qstring"] == "setsave" && $nphp_currentuser[3] == 5)
  {
    ShowSaveSettingsPage();
  }
  elseif($nphp_common["qstring"] == "help")
  {
    ShowHelp();
  }
  else
  {   
    ShowMainPage();
  }
?>